@echo off

TITLE IMSA Enable SMBv1 Protocol
mkdir c:\imsa > c:\imsaErrors.log 2>&1
mkdir c:\imsa\logs >> c:\imsaErrors.log 2>&1
set LOGFILE="c:\imsa\logs\IMSA-EnableSMBv1Protocol.log"
cls
echo Enable SMB version 1 Protocol Script 
echo.
echo Enable SMB version 1 Protocol >> %LOGFILE% 2>&1
date /t >> %LOGFILE% 2>&1
time /t >> %LOGFILE% 2>&1
echo. >> %LOGFILE% 2>&1

setlocal enableextensions
cd /d "%~dp0"

echo Checking for Adminstrative Privileges
echo.
echo 	Checking for Adminstrative Privileges >> %LOGFILE% 2>&1
echo. >> %LOGFILE% 2>&1

rem Check for Admin Privileges
net session >nul 2>&1
if '%errorlevel%' == '0' ( goto gotPrivileges ) else (goto getPrivileges )

:getPrivileges
echo Access Denied!
echo.
echo 	Access Denied! >> %LOGFILE% 2>&1
echo. >> %LOGFILE% 2>&1
echo Please Run this Script again with admin privileges.
echo Right Click and click "Run as Administrator."
echo.
goto END

:gotPrivileges
echo Success!
echo.
echo 	Success! >> %LOGFILE% 2>&1
echo. >> %LOGFILE% 2>&1

echo Enabling SMBv1 Protocol
echo.
echo Enabling SMBv1 Protocol >> %LOGFILE% 2>&1
echo. >> %LOGFILE% 2>&1
time /t >> %LOGFILE% 2>&1
echo "Checking status SMB v1 Protocol" >> %LOGFILE% 2>&1
echo . >> %LOGFILE% 2>&1
dism /online /get-features /format:table | find "SMB1" >> %LOGFILE% 2>&1
echo. >> %LOGFILE% 2>&1
echo Enable SMBv1 Protocol >> %LOGFILE% 2>&1
echo. >> %LOGFILE% 2>&1
dism /online /NoRestart /enable-feature /all /featurename:SMB1Protocol-Client
echo. >> %LOGFILE% 2>&1
dism /online /get-features /format:table | find "SMB1" >> %LOGFILE% 2>&1
echo. >> %LOGFILE% 2>&1
echo SMBv1 Protocol Enabled
echo.
echo SMBv1 Protocol Enabled >> %LOGFILE% 2>&1
echo. >> %LOGFILE% 2>&1

:END
echo Completed
echo.
echo Completed >> %LOGFILE% 2>&1
echo. >> %LOGFILE% 2>&1
pause