@echo off

TITLE IMSA Synchronizing Passwords
mkdir c:\imsa > c:\imsaErrors.log 2>&1
mkdir c:\imsa\logs >> c:\imsaErrors.log 2>&1
set LOGFILE="c:\imsa\logs\IMSA-SynchronizingPasswords.log"
cls
echo IMSA Synchronizing Passwords
echo.
echo IMSA Synchronizing Passwords >> %LOGFILE% 2>&1
date /t >> %LOGFILE% 2>&1
time /t >> %LOGFILE% 2>&1
echo. >> %LOGFILE% 2>&1

setlocal enableextensions
cd /d "%~dp0"

echo Checking for Adminstrative Privileges
echo.
echo 	Checking for Adminstrative Privileges >> %LOGFILE% 2>&1
echo. >> %LOGFILE% 2>&1

rem Check for Admin Privileges
net session >nul 2>&1
if '%errorlevel%' == '0' ( goto gotPrivileges ) else (goto getPrivileges )

:getPrivileges
echo Access Denied!
echo.
echo 	Access Denied! >> %LOGFILE% 2>&1
echo. >> %LOGFILE% 2>&1
echo Please Run this Script again with admin privileges.
echo Right Click and click "Run as Administrator."
echo.
goto END

:gotPrivileges
echo Success!
echo.
echo 	Success! >> %LOGFILE% 2>&1
echo. >> %LOGFILE% 2>&1

echo Enabling SMBv1 Protocol
echo.
echo Enabling SMBv1 Protocol >> %LOGFILE% 2>&1
echo. >> %LOGFILE% 2>&1
time /t >> %LOGFILE% 2>&1
echo "Checking status SMB v1 Protocol" >> %LOGFILE% 2>&1
echo . >> %LOGFILE% 2>&1
dism /online /get-features /format:table | find "SMB1" >> %LOGFILE% 2>&1
echo. >> %LOGFILE% 2>&1
echo Enable SMB v1 Protocol >> %LOGFILE% 2>&1
echo. >> %LOGFILE% 2>&1
dism /online /NoRestart /enable-feature /all /featurename:SMB1Protocol-Client
echo. >> %LOGFILE% 2>&1
dism /online /get-features /format:table | find "SMB1" >> %LOGFILE% 2>&1
echo. >> %LOGFILE% 2>&1
echo SMBv1 Protocol Enabled
echo.
echo SMBv1 Protocol Enabled >> %LOGFILE% 2>&1
echo. >> %LOGFILE% 2>&1

rem Changing NTLM Compatability Layer
echo Set NT LM Compatibility Layer to Match IMSA's Network
echo.
echo Set NT LM Compatibility Layer to Match IMSA's Network >> %LOGFILE% 2>&1
echo. >> %LOGFILE% 2>&1
reg add HKEY_LOCAL_MACHINE\SYSTEM\CurrentControlSEt\Control\Lsa /v lmcompatibilitylevel /t REG_DWORD /d 2 /f >> %LOGFILE% 2>&1

rem Install New Credentials for Student Server and Print Server
cls
echo Requesting Credentials for IMSA Servers
echo.
echo Requesting Credentials for IMSA Servers >> %LOGFILE% 2>&1
echo. >> %LOGFILE% 2>&1
set /p username=Enter IMSA Username (Not Email Address):
echo For Security purposes, please enter your IMSA password for each server.
echo You will not see your keystrokes on screen when typing your password.
echo.
cmdkey /add:students.imsa.edu /user:%username% /pass
cmdkey /add:print.imsa.edu /user:%username% /pass
echo Credential Management Completed >> %LOGFILE% 2>&1
echo. >> %LOGFILE% 2>&1

:END
echo Completed
echo.
echo Completed >> %LOGFILE% 2>&1
echo. >> %LOGFILE% 2>&1
pause